Skip to content
Start here

Create new URL submissions

client.brandProtection.submit(BrandProtectionSubmitParams { account_id } params, RequestOptionsoptions?): BrandProtectionSubmitResponse { skipped_urls, submitted_urls }
POST/accounts/{account_id}/brand-protection/submit

Return new URL submissions

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
params: BrandProtectionSubmitParams { account_id }
account_id: string
minLength1
ReturnsExpand Collapse
BrandProtectionSubmitResponse { skipped_urls, submitted_urls }
skipped_urls?: Array<Record<string, unknown>>
submitted_urls?: Array<Record<string, unknown>>

Create new URL submissions

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.brandProtection.submit({ account_id: 'x' });

console.log(response.skipped_urls);
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}
Returns Examples
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}